ojph::local::frwd_struct Struct Reference

State structure for reading and unstuffing of forward-growing bitstreams; these are: MagSgn and SPP bitstreams. More...

## Public Attributes

const ui8 * | data
| pointer to bitstream
ui64 | tmp
| temporary buffer of read data
ui32 | bits
| number of bits stored in tmp
ui32 | unstuff
| 1 if a bit needs to be unstuffed from next byte
int | size
| size of data
ui8 | tmp [48]
| temporary buffer of read data + 16 extra

## Detailed Description

State structure for reading and unstuffing of forward-growing bitstreams; these are: MagSgn and SPP bitstreams.

## Member Data Documentation

## bits

ui32 ojph::local::frwd_struct::bits

number of bits stored in tmp

Referenced by ojph::local::frwd_advance(), ojph::local::frwd_fetch(), ojph::local::frwd_init(), and ojph::local::frwd_read().

## data

const ui8 * ojph::local::frwd_struct::data

pointer to bitstream

Referenced by ojph::local::frwd_init(), and ojph::local::frwd_read().

## size

int ojph::local::frwd_struct::size

size of data

Referenced by ojph::local::frwd_init(), and ojph::local::frwd_read().

## tmp [1/2]

ui8 ojph::local::frwd_struct::tmp

temporary buffer of read data

temporary buffer of read data + 16 extra

Referenced by ojph::local::frwd_advance(), ojph::local::frwd_fetch(), ojph::local::frwd_init(), and ojph::local::frwd_read().

## tmp [2/2]

ui8 ojph::local::frwd_struct::tmp[48]

temporary buffer of read data + 16 extra

## unstuff

ui32 ojph::local::frwd_struct::unstuff

1 if a bit needs to be unstuffed from next byte

Referenced by ojph::local::frwd_init(), and ojph::local::frwd_read().

The documentation for this struct was generated from the following files:

- ojph_block_decoder.cpp
- ojph_block_decoder_ssse3.cpp
- ojph_block_decoder_wasm.cpp